Package com.enonic.xp.form

## Class FormOptionSet

- java.lang.Object
- - com.enonic.xp.form.FormItem
  - - com.enonic.xp.form.FormOptionSet

- All Implemented Interfaces:
    `Iterable<FormOptionSetOption>`

      public class FormOptionSet
      extends FormItem
      implements Iterable<FormOptionSetOption>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FormOptionSet.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FormItem` | `copy()` |
    `static FormOptionSet.Builder` | `create()` |
    `static FormOptionSet.Builder` | `create​(FormOptionSet formOptionSet)` |
    `boolean` | `equals​(Object o)` |
    `FormItems` | `getFormItems()` |
    `String` | `getHelpText()` |
    `String` | `getHelpTextI18nKey()` |
    `String` | `getLabel()` |
    `String` | `getLabelI18nKey()` |
    `Occurrences` | `getMultiselection()` |
    `String` | `getName()` |
    `Occurrences` | `getOccurrences()` |
    `FormItemType` | `getType()` |
    `int` | `hashCode()` |
    `boolean` | `isExpanded()` |
    `boolean` | `isRequired()` |
    `Iterator<FormOptionSetOption>` | `iterator()` |

    - ### Methods inherited from class com.enonic.xp.form.FormItem

      `getParent, getPath, toFormItemSet, toFormOptionSet, toFormOptionSetOption, toInlineMixin, toInput, toLayout, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `FormItem`

    - #### getType

          public FormItemType getType()

      Specified by:
        `getType` in class `FormItem`

    - #### getFormItems

          public FormItems getFormItems()

    - #### getLabel

          public String getLabel()

    - #### getLabelI18nKey

          public String getLabelI18nKey()

    - #### getOccurrences

          public Occurrences getOccurrences()

    - #### getMultiselection

          public Occurrences getMultiselection()

    - #### isExpanded

          public boolean isExpanded()

    - #### getHelpText

          public String getHelpText()

    - #### getHelpTextI18nKey

          public String getHelpTextI18nKey()

    - #### isRequired

          public boolean isRequired()

    - #### copy

          public FormItem copy()

      Specified by:
        `copy` in class `FormItem`

    - #### iterator

          public Iterator<FormOptionSetOption> iterator()

      Specified by:
        `iterator` in interface `Iterable<FormOptionSetOption>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `FormItem`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `FormItem`

    - #### create

          public static FormOptionSet.Builder create()

    - #### create

          public static FormOptionSet.Builder create​(FormOptionSet formOptionSet)